<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment Class
Members See Also Send Feedback

A class representing a Berkeley DB database environment - a collection including support for some or all of caching, locking, logging and transaction subsystems, as well as databases and log files.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#

    public class DatabaseEnvironment

Visual Basic (Declaration)

    Public Class DatabaseEnvironment

Visual C++

    public ref class DatabaseEnvironment

# Inheritance Hierarchy

System..::.Object
BerkeleyDB..::.DatabaseEnvironment

# See Also

DatabaseEnvironment Members
BerkeleyDB Namespace